Create or Preinitiate a Microdeposit
Use this endpoint to create a microdeposit. To create a microdeposit include the first_name, last_name, email, account_number, routing_number, and account_type in the request body. The response will include the new microdeposit record with a status of INITIATED.
You can also use this endpoint to pre-initiate a microdeposit. If you want to preinitiate only include the first_name, last_name, and email in the request body. The response will include the new microdeposit record with a status of PREINITIATED.
Pre-initiating a microdeposit is optional. However, if you choose to implement this flow, it should be used for all Connect Widget sessions in verification mode.
Pre-initiating a microdeposit enables you to pass the end user’s first name, last name, and email, if this data has already been collected. If the end user selects an institution which requires the microdeposit flow, the pre-initiated micro_deposit will be used and the Connect Widget step that normally requests this info from the end user will be skipped. However, if the end user selects an institution which supports IAV, the pre-initiated micro_deposit will be deleted and IAV will be used instead. When requesting a Connect Widget URL after pre-inititiating, make sure to set the current_microdeposit_guid to the resulting microdeposit’s guid and set the mode to verification.
Authorizations
MX Session Token
- Request an API token using the read API token endpoint in the MX SSO API.
- Exchange an API token for a session token.
- A session token is obtained by sending a POST request to /sessions
- The session token will be used in each request made for the user. It should be passed in an
MD-SESSION-TOKENHTTP header as shown below. - This session token is valid for 30 minutes from the time it was created. The 30 minute expiration counter is refreshed with each call.
- If you send a request with an expired session token you'll receive an error code of
4011.
curl -i https://int-data.moneydesktop.com/accounts \
-H 'MD-SESSION-TOKEN: CWforZl1Vn2vC_v6H4rnQRT1DoWpDouJAV-_5TBmiQRAtA8rsOG_BoajTiOSsL0A3bd-bmHXlA-eQzc9ywItKg' \
-H 'Content-Type: application/vnd.mx.nexus.v1+json' \
-H 'Accept: application/vnd.mx.nexus.v1+json'In documentation code examples, replace <API_KEY_VALUE> with the session token.
Body
Response
OK
- Option 1
- Option 2

